Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.ape
Class MessageContainer

    java.lang.Object
      ch.uzh.ifi.attempto.ape.MessageContainer

    public class MessageContainer

extends java.lang.Object

This class is a container for error and warning messages.

Author:
  Tobias Kuhn

Method Summary
`java.util.List<Message>` | `getErrorMessages()` Returns a list that contains all error messages.
`java.util.List<Message>` | `getErrorMessages(java.lang.String type)` Returns a list that contains all error messages of a given type.
`java.util.List<Message>` | `getMessages()` Returns a list that contains all messages.
`java.util.List<Message>` | `getMessages(java.lang.String type)` Returns a list that contains all messages of a given type.
`java.util.List<Message>` | `getWarningMessages()` Returns a list that contains all warning messages.
`java.util.List<Message>` | `getWarningMessages(java.lang.String type)` Returns a list that contains all warning messages of a given type.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMessages

    public java.util.List<Message> getMessages()

  Returns a list that contains all messages.

  Returns:
    A list of all messages.

### getErrorMessages

    public java.util.List<Message> getErrorMessages()

  Returns a list that contains all error messages.

  Returns:
    A list of all error messages.

### getWarningMessages

    public java.util.List<Message> getWarningMessages()

  Returns a list that contains all warning messages.

  Returns:
    A list of all warning messages.

### getMessages

    public java.util.List<Message> getMessages(java.lang.String type)

  Returns a list that contains all messages of a given type.

  Parameters:
    `type` - The type of the messages to be returned.
  Returns:
    A list of all messages with the given type.

### getErrorMessages

    public java.util.List<Message> getErrorMessages(java.lang.String type)

  Returns a list that contains all error messages of a given type.

  Parameters:
    `type` - The type of the error messages to be returned.
  Returns:
    A list of all error messages with the given type.

### getWarningMessages

    public java.util.List<Message> getWarningMessages(java.lang.String type)

  Returns a list that contains all warning messages of a given type.

  Parameters:
    `type` - The type of the warning message to be returned.
  Returns:
    A list of all warning messages with the given type.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)